nn.pp.rccore

## Enum RCCore.ColorSubsampling

- java.lang.Object
- - java.lang.Enum<RCCore.ColorSubsampling>
  - - nn.pp.rccore.RCCore.ColorSubsampling

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.ColorSubsampling>
  Enclosing interface:
    RCCore

      public static enum RCCore.ColorSubsampling
      extends java.lang.Enum<RCCore.ColorSubsampling>

  Enumeration for pre-defined Color Subsampling values

  KX4 supports different modes for color subsampling (4:2:0, 4:2:2 and 4:4:4). KX3 uses alwas 4:2:0 color subsampling, KX2 has no subsampling.

  See Also:
    `RCCore.getSupportedEncodingColorSubsamplings()`, `VideoEventListener.supportedEncodingColorSubsamplingsChanged(List)`, `RCCore.getEncodingColorSubsampling()`, `RCCore.setEncodingColorSubsampling(RCCore.ColorSubsampling, boolean)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SUB_420` 4:2:0 color subsampling
    `SUB_422` 4:2:2 color subsampling
    `SUB_444` 4:4:4 color subsampling
    `UNSPECIFIED` Unspecified.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `toDisplayString()` Get the string representation of the color subsampling
    `static RCCore.ColorSubsampling` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.ColorSubsampling[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final RCCore.ColorSubsampling UNSPECIFIED

      Unspecified. Use for KX2 and KX3. For KX4, this will result in a default value which is not specified.

    - #### SUB_420

          public static final RCCore.ColorSubsampling SUB_420

      4:2:0 color subsampling

    - #### SUB_422

          public static final RCCore.ColorSubsampling SUB_422

      4:2:2 color subsampling

    - #### SUB_444

          public static final RCCore.ColorSubsampling SUB_444

      4:4:4 color subsampling

  - ### Method Detail

    - #### values

          public static RCCore.ColorSubsampling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.ColorSubsampling c : RCCore.ColorSubsampling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.ColorSubsampling valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toDisplayString

          public abstract java.lang.String toDisplayString()

      Get the string representation of the color subsampling
      Returns:
        the string representation of the color subsampling

Copyright © 2025 Raritan Inc. All Rights Reserved.